| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions | Variables
jmemsys.h File Reference

Go to the source code of this file.

## Classes
struct | backing_store_struct

## Macros
#define | MAX_ALLOC_CHUNK 1000000000L
#define | TEMP_NAME_LENGTH 64 /* max length of a temporary file's name */

## Typedefs
typedef struct backing_store_struct * | backing_store_ptr
typedef struct backing_store_struct | backing_store_info

## Functions
| EXTERN (void *) jpeg_get_small JPP((j_common_ptr cinfo
| EXTERN (void) jpeg_free_small JPP((j_common_ptr cinfo
| EXTERN (void FAR *) jpeg_get_large JPP((j_common_ptr cinfo
| EXTERN (long) jpeg_mem_available JPP((j_common_ptr cinfo

## Variables
size_t | sizeofobject
void * | object
long | min_bytes_needed
long long | max_bytes_needed
long long long | already_allocated
backing_store_ptr | info
backing_store_ptr long | total_bytes_needed

## Macro Definition Documentation

#define MAX_ALLOC_CHUNK 1000000000L

Definition at line 78 of file jmemsys.h.

#define TEMP_NAME_LENGTH 64 /* max length of a temporary file's name */

Definition at line 116 of file jmemsys.h.

## Typedef Documentation

typedef struct backing_store_struct backing_store_info

typedef struct backing_store_struct* backing_store_ptr

Definition at line 137 of file jmemsys.h.

## Function Documentation

EXTERN | ( | void * |  | ) |

EXTERN | ( | void |  | ) |

EXTERN | ( | void FAR * |  | ) |

EXTERN | ( | long |  | ) |

## Variable Documentation

long long long already_allocated

Definition at line 104 of file jmemsys.h.

backing_store_ptr info

Definition at line 181 of file jmemsys.h.

long long max_bytes_needed

Definition at line 104 of file jmemsys.h.

long min_bytes_needed

Definition at line 104 of file jmemsys.h.

void FAR * object

Definition at line 48 of file jmemsys.h.

void FAR size_t sizeofobject

Definition at line 47 of file jmemsys.h.

backing_store_ptr long total_bytes_needed

Definition at line 181 of file jmemsys.h.